#ifndef __qms82_h__
#define __qms82_h__
#include "qmx.h"


#define QMX_QMS82_GAIN_1	0
#define QMX_QMS82_GAIN_2	1
#define QMX_QMS82_CHANNEL_GAIN_1	0
#define QMX_QMS82_CHANNEL_GAIN_10	1
#define QMX_QMS82_CHANNEL_GAIN_100	2

QMX_EXT QMX_API int __stdcall QMX_QMS82_SetInputRate(HANDLE SD, BYTE Slot, double DRate, double *CRate);
QMX_EXT QMX_API int __stdcall QMX_QMS82_SetTable(HANDLE SD, BYTE Slot, WORD ChannelMask, WORD Gain);
QMX_EXT QMX_API int __stdcall QMX_QMS82_SetChannelGains(HANDLE SD, BYTE Slot, WORD *Gain);
QMX_EXT QMX_API int __stdcall QMX_QMS82_SetCurrent(HANDLE SD, BYTE Slot, double Current);
QMX_EXT QMX_API int __stdcall QMX_QMS82_WriteCC(HANDLE SD, BYTE Slot, WORD Gain, QMX_CC_F *CC);
QMX_EXT QMX_API int __stdcall QMX_QMS82_ReadCC(HANDLE SD, BYTE Slot, WORD ModuleGain, WORD ChannelGain, QMX_CC_F *CC);

#endif